]> git.pld-linux.org Git - packages/quagga.git/commitdiff
IS-IS server start script
authorArtur Frysiak <artur@frysiak.net>
Wed, 6 Jul 2005 18:32:53 +0000 (18:32 +0000)
committercvs2git <feedback@pld-linux.org>
Sun, 24 Jun 2012 12:13:13 +0000 (12:13 +0000)
Changed files:
    quagga-isisd.init -> 1.1

quagga-isisd.init [new file with mode: 0644]

diff --git a/quagga-isisd.init b/quagga-isisd.init
new file mode 100644 (file)
index 0000000..b07d081
--- /dev/null
@@ -0,0 +1,75 @@
+#!/bin/sh
+#
+# ripngd               Starts the IS-IS Dynamic Route Daemon 
+#
+# chkconfig:   345 16 84
+#
+# description: IS-IS Dynamic Route Daemon
+#
+# processname: isisd
+# config:      /etc/ripngd/isisd.conf
+
+
+# Source function library
+. /etc/rc.d/init.d/functions
+
+# Get network config
+. /etc/sysconfig/network
+
+# Get service config
+[ -f /etc/sysconfig/isisd ] && . /etc/sysconfig/isisd
+
+# Check that networking is up.
+if is_yes "${NETWORKING}"; then
+       if [ ! -f /var/lock/subsys/network -a "$1" != stop -a "$1" != status ]; then
+               # nls "ERROR: Networking is down. %s can't be run." <service>
+               msg_network_down isisd
+               exit 1
+       fi
+else
+       exit 0
+fi
+
+RETVAL=0
+# See how we were called.
+case "$1" in
+  start)
+       # Check if the services are already running?
+       if [ ! -f /var/lock/subsys/isisd ]; then
+               FLAGS="--daemon"
+               is_yes "$RETAIN_ROUTES" && FLAGS="$FLAGS --retain"
+                [ -n "$VTY_ADDR" ] && FLAGS="$FLAGS --vty_addr $VTY_ADDR"
+                [ -n "$VTY_PORT" ] && FLAGS="$FLAGS --vty_port $VTY_PORT"
+               msg_starting isisd
+               daemon isisd $FLAGS 
+               RETVAL=$?
+               [ $RETVAL -eq 0 ] && touch /var/lock/subsys/isisd
+       else
+               msg_already_running "isisd"
+       fi
+       ;;
+  stop)
+       if [ -f /var/lock/subsys/isisd ]; then
+               # Stop daemons.
+               msg_stopping "isisd"
+               killproc isisd
+               rm -f /var/lock/subsys/isisd
+       else
+               msg_not_running isisd
+       fi
+       ;;
+  status)
+       status isisd
+       exit $?
+       ;;
+  restart|force-reload)
+       $0 stop
+       $0 start
+       exit $?
+       ;;
+  *)
+       msg_usage "$0 {start|stop|restart|force-reload|status}"
+       exit 3
+esac
+
+exit $RETVAL
This page took 0.103552 seconds and 4 git commands to generate.